#VM template 1
resource "google_compute_instance_template" "vmtemp1" {
  name        = "${var.projectId}-vm"
  description = "This template is used to create app server instances."
  tags = [ "group1", module.cloud-nat-group1.router_name,]
  instance_description = "description assigned to instances"
  machine_type         = var.vm_type
  can_ip_forward       = false
  scheduling {
    automatic_restart   = true
    on_host_maintenance = "MIGRATE"
  }
  // Create a new boot disk from an image
  disk {
    source_image      = var.source_image
    auto_delete       = true
    boot              = true
    disk_size_gb = "10"
    disk_type = "pd-balanced"
  }
  network_interface {
    network = google_compute_network.vpc_network.name
    subnetwork = google_compute_subnetwork.subnet1.self_link
  }
  metadata_startup_script = file(var.startup_script)
}
# Regional Managed Instance Group 1
resource "google_compute_region_instance_group_manager" "mig1" {
  name = "${var.projectId}-mig1"
  base_instance_name         = "apache"
  region                     = var.region_1
  distribution_policy_zones  = [var.zone_1, var.zone_2, var.zone_3]
  version {
    instance_template = google_compute_instance_template.vmtemp1.self_link
  }
  target_size  = 3
  named_port {
    name = "http"
    port = 80
  }
}
#VM template 2
resource "google_compute_instance_template" "vmtemp2" {
  name        = "${var.projectId}-vm2"
  description = "This template is used to create app server instances."
  tags = [ "group2", module.cloud-nat-group2.router_name,]
  instance_description = "description assigned to instances"
  machine_type         = var.vm_type
  can_ip_forward       = false
  scheduling {
    automatic_restart   = true
    on_host_maintenance = "MIGRATE"
  }
  // Create a new boot disk from an image
  disk {
    source_image      = var.source_image
    auto_delete       = true
    boot              = true
    disk_size_gb = "10"
    disk_type = "pd-balanced"
  }
  network_interface {
    network = google_compute_network.vpc_network.name
    subnetwork = google_compute_subnetwork.subnet2.self_link
  }
  metadata_startup_script = file(var.startup_script)
}

#Regional Mangaged Instance Group 2
resource "google_compute_region_instance_group_manager" "mig2" {
  name = "${var.projectId}-mig2"
  base_instance_name         = "apache2"
  region                     = var.region_2
  distribution_policy_zones  = [var.zone_4, var.zone_5, var.zone_6]
  version {
    instance_template = google_compute_instance_template.vmtemp2.self_link
  }
  target_size  = 3
  named_port {
    name = "http"
    port = 80
  }
}
    
  




    
  

