
#VPC Network

resource "google_compute_network" "vpc_network" {
  project = var.projectId
  name    = "${var.projectId}-vpc"
  auto_create_subnetworks = false
}

#Subnet
resource "google_compute_subnetwork" "subnet1" {
  name          = "${var.projectId}-subnet1"
  ip_cidr_range = var.ip_cidr_range_1
  region        = var.region_1
  network       = google_compute_network.vpc_network.self_link
}
resource "google_compute_subnetwork" "subnet2" {
  name          = "${var.projectId}-subnet2"
  ip_cidr_range = var.ip_cidr_range_2
  region        = var.region_2
  network       = google_compute_network.vpc_network.self_link
}

resource "google_compute_router" "router1" {
  name    = "${var.projectId}-gw-router1"
  network = google_compute_network.vpc_network.self_link
  region  = var.region_1
}

module "cloud-nat-group1" {
  source     = "terraform-google-modules/cloud-nat/google"
  version    = "1.4.0"
  router     = google_compute_router.router1.name
  project_id = var.projectId
  region     = var.region_1
  name       = "${var.projectId}-vpc-cloud-nat-1"
}

resource "google_compute_router" "router2" {
  name    = "${var.projectId}-gw-router2"
  network = google_compute_network.vpc_network.self_link
  region  = var.region_2
}

module "cloud-nat-group2" {
  source     = "terraform-google-modules/cloud-nat/google"
  version    = "1.4.0"
  router     = google_compute_router.router2.name
  project_id = var.projectId
  region     = var.region_2
  name       = "${var.projectId}-vpc-cloud-nat-2"
}
